HomeGuidesAPI Reference
API Reference

Update an existing overlay configuration

Updates an existing overlay configuration. This API updates all regional configurations for the specified overlay. If regions have customized Business Intent Overlay settings, they will be overridden; use the PUT /gms/overlays/config/regions endpoint to preserve regional customizations. Changes are automatically pushed to associated appliances.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
required
≥ 1

Unique identifier of the overlay to update. Must reference an existing overlay ID.

Body Params

Complete overlay configuration object. The overlay ID in the request body should match the overlayId query parameter.

number

The number of the bonding policy for the overlay. 1 - high availability, 2 - high quality, 3 - high throughput, 4 - high efficiency, 5 - custom bonding policy

boolean

Whether or not to boost the traffic for this overlay.

brownoutThresholds
object

Brownout thresholds configuration

number
enum

Disqualify Behavior

Allowed:
number

FEC wait time in millisecond

hubInternetPolicies
object

Map of appliance id to internet policy for a hub in an overlay

string

The id of the overlay.

internetPolicy
object

Describes what to do with internet traffic if it matches the overlay

string

The LAN QoS to use in the QoS policy created for this Overlay. See the QoS policy page for valid values

number
enum

Link Reorder Frequency

Allowed:
match
object

Match configuration

number

Maximum FEC radio in percentage

number

Maximum packet reorder wait time in millisecond

number

Minimum FEC radio in percentage

number

Minimum packet reorder wait time in millisecond

string

The name of the overlay.

number

The fallback option of the overlay.

number

The number of the path loading policy for the overlay. 1 - balance by link capacity (Local), 2 - balance by link utilization (Local), 3 - waterfall by quality, 4 - waterfall by latency, 5 - waterfall by loss, 6 - waterfall by jitter, 7 - waterfall by cost, 8 - waterfall by link order, 9 - balanced by link utilization(Local & Remote)

topology
object

Topology configuration for this overlay

string

The shaper traffic class to use in the overlay.

boolean

Use the backup WAN ports when the primary and secondary WAN ports meet the brownout conditions.

boolean

Use the secondary WAN ports when the primary WAN ports meet the brownout conditions.

string

The WAN QoS to use in the QoS policy created for this Overlay. See the QoS policy page for valid values

wanPorts
object

Wan port configuration

Responses
204

Overlay configuration updated successfully. Changes are automatically pushed to associated appliances.

401

Unauthorized - User lacks READ_WRITE permission.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json